package com.chinacreator.video.mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

/**
 * 腾讯20元活动
 * @author xu.zhou
 * @date 20200424
 */
@Component
public interface TenDrawDao {
	
	/**
	 * 根据映射ID获取手机号码且当前时间不超过添加时间5分钟
	 * @param hm
	 * @return
	 */
	String getUseridById(@Param("id")String id);

	/**
	 * 根据ID获取手机号码
	 * @param id
	 * @return
	 */
	String getUser(@Param("id")String id);
	
	/**
	 * 添加映射记录
	 * @param id
	 * @param userid
	 */
	void addUserMapp(@Param("id")String id, @Param("userid")String userid);
	
	/**
	 * 添加奖品信息
	 * @param hm
	 */
	void addPrize(HashMap hm);
	
	/**
	 * 获取流水号
	 * @return
	 */
	String getNo();
	
	/**
	 * 获取奖品信息
	 * @return
	 */
	List<HashMap> getPrizeList();
	
	
	List<HashMap> getOrderRel(@Param("userid")String userid);

	/**
	 * 获取活动资格名单
	 * @param userid
	 * @return
	 */
	List<Map<String, Object>> findByPhone(@Param("userid") String userid,@Param("spid") String spid,@Param("cpid") String cpid);

	List<Map<String, Object>> findOrderCoode(@Param("userid")String userid,@Param("spid") String spid,@Param("cpid") String cpid);

	List<Map<String, Object>> findByUser(@Param("userid") String userid, @Param("spid") String spid,@Param("cpid") String cpid);

	/**
	 * 插入已领取名单
	 * @param map
	 */
	void insertActivity(Map<String, Object> map);
}
